#!/bin/bash

VERSION=sbrt-2.0.0

SBRT_HOME=$HOME/research/software/systems_biology_research_tool

cd $SBRT_HOME

ZIP_FILE=$SBRT_HOME/SBRT/public_distributions/$VERSION.zip

rm $ZIP_FILE

zip -r $ZIP_FILE $VERSION

zip -d $ZIP_FILE \*sbrt.vmoptions\*
zip -d $ZIP_FILE \*.project\* \*.classpath\* \*~
zip -d $ZIP_FILE \*cplex.jar \*libcplex\* 
zip -d $ZIP_FILE \*JRI.jar \*libjri.so
zip -d $ZIP_FILE \*JLink.jar \*libJLinkNativeLibrary.so
zip -d $ZIP_FILE $VERSION/ChangeLog
zip -d $ZIP_FILE \*libglpk_jni.\* \*glpk_jni.dll
zip -d $ZIP_FILE \*.settings\*